安装更新后,Firefox和Chrome中的分段错误

Lubuntu 18.04.1在VirtualBox中完美运行了大约两年,昨天有一些更新要安装。

After the updates both firefox and chromium cannot start. When launching them from the terminal they just throw the error Segmentation fault (core dumped) .

syslog显示如下:

[ 1117.595260] firefox[1589]: segfault at 1 ip 0000000000000001 sp 00007ffc7be98758 error 14 in firefox[7faebfd8f000+9a000]
[ 1117.595270] Code: Bad RIP value.
[ 1125.775419] chromium-browse[1592]: segfault at 2 ip 000056265394fb3c sp 00007ffe209f7608 error 4 in chromium-browser[56264fa77000+9618000]
[ 1125.775423] Code: 43 40 48 c7 43 40 00 00 00 00 48 89 45 e0 48 8d 55 e0 4c 89 f7 41 ff d7 48 8b 7d e0 48 c7 45 e0 00 00 00 00 48 85 ff 74 06 48 <8b> 07 ff 50 08 48 8d 7d d0 e8 16 06 52 fd 48 83 c4 18 5b 41 5e 41

昨天更新的apt日志:

Start-Date: 2020-05-17  20:48:59
Commandline: aptdaemon role='role-commit-packages' sender=':1.263'
Install: libnetplan0:amd64 (0.99-0ubuntu3~18.04.1, automatic)
Upgrade: netplan.io:amd64 (0.98-0ubuntu1~18.04.1, 0.99-0ubuntu3~18.04.1), libapt-inst2.0:amd64 (1.6.12, 1.6.12ubuntu0.1), signal-desktop:amd64 (1.33.4, 1.34.1), libsystemd0:amd64 (237-3ubuntu10.39, 237-3ubuntu10.40), libpulsedsp:amd64 (1:11.1-1ubuntu7.5, 1:11.1-1ubuntu7.7), apt:amd64 (1.6.12, 1.6.12ubuntu0.1), pulseaudio:amd64 (1:11.1-1ubuntu7.5, 1:11.1-1ubuntu7.7), udev:amd64 (237-3ubuntu10.39, 237-3ubuntu10.40), libmagic1:amd64 (1:5.32-2ubuntu0.3, 1:5.32-2ubuntu0.4), libapt-pkg5.0:amd64 (1.6.12, 1.6.12ubuntu0.1), libudev1:amd64 (237-3ubuntu10.39, 237-3ubuntu10.40), nplan:amd64 (0.98-0ubuntu1~18.04.1, 0.99-0ubuntu3~18.04.1), libexif12:amd64 (0.6.21-4ubuntu0.1, 0.6.21-4ubuntu0.2), libmagic-mgc:amd64 (1:5.32-2ubuntu0.3, 1:5.32-2ubuntu0.4), libpulse0:amd64 (1:11.1-1ubuntu7.5, 1:11.1-1ubuntu7.7), chromium-browser:amd64 (81.0.4044.122-0ubuntu0.18.04.1, 81.0.4044.138-0ubuntu0.18.04.1), gir1.2-snapd-1:amd64 (1.49-0ubuntu0.18.04.1, 1.49-0ubuntu0.18.04.2), libpulse-mainloop-glib0:amd64 (1:11.1-1ubuntu7.5, 1:11.1-1ubuntu7.7), systemd-sysv:amd64 (237-3ubuntu10.39, 237-3ubuntu10.40), firefox-locale-en:amd64 (76.0+build2-0ubuntu0.18.04.1, 76.0.1+build1-0ubuntu0.18.04.1), chromium-codecs-ffmpeg-extra:amd64 (81.0.4044.122-0ubuntu0.18.04.1, 81.0.4044.138-0ubuntu0.18.04.1), libpam-systemd:amd64 (237-3ubuntu10.39, 237-3ubuntu10.40), systemd:amd64 (237-3ubuntu10.39, 237-3ubuntu10.40), apt-utils:amd64 (1.6.12, 1.6.12ubuntu0.1), iproute2:amd64 (4.15.0-2ubuntu1, 4.15.0-2ubuntu1.1), libnss-systemd:amd64 (237-3ubuntu10.39, 237-3ubuntu10.40), file:amd64 (1:5.32-2ubuntu0.3, 1:5.32-2ubuntu0.4), firefox:amd64 (76.0+build2-0ubuntu0.18.04.1, 76.0.1+build1-0ubuntu0.18.04.1), libsnapd-glib1:amd64 (1.49-0ubuntu0.18.04.1, 1.49-0ubuntu0.18.04.2), libjson-c3:amd64 (0.12.1-1.3, 0.12.1-1.3ubuntu0.2), chromium-browser-l10n:amd64 (81.0.4044.122-0ubuntu0.18.04.1, 81.0.4044.138-0ubuntu0.18.04.1), pulseaudio-utils:amd64 (1:11.1-1ubuntu7.5, 1:11.1-1ubuntu7.7)
End-Date: 2020-05-17  20:49:55

我什至如何开始追踪此段错误的原因?我认为应该负责更新的软件包之一,但是哪些软件包是由Firefox和chromiun共享的?我可以回滚这些更新吗?

评论